gnutls_x509_crl_get_next_update(3)

NAME
gnutls_x509_crl_get_next_update - return the CRL's nextUpdate time

SYNOPSIS
#include <gnutls/x509.h>

time_t gnutls_x509_crl_get_next_update(gnutls_x509_crl_t crl);

ARGUMENTS

gnutls_x509_crl_t crl
    should contain a gnutls_x509_crl_t structure

DESCRIPTION
This function will return the time the next CRL will be issued. This field is optional in a CRL so it might be normal to get an error instead.

RETURNS
when the next CRL will be issued, or (time_t)-1 on error.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.